<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();

$set['title']='Бросаем вызов'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();

include_once 'inc.php';

$id = intval($_GET['id']);
if (!isset($_GET['id'])) {$err = 'Пустой параметр ID!';}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $id LIMIT 1"));
if (!$ank) {$err = 'Нет такого оппонента в базе данных';}
if ($user['id'] == $id) {$err = 'Нельзя вызывать себя на дуэль))';}
if ($user['balls'] < 100) {$err = 'Недостаточно баллов';}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `duel` WHERE (`user`='$id' OR `opponent`='$id') AND `act`='1'"),0)>0){$err='Данный оппонент уже учавствует в дуэли';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `duel` WHERE (`user`='$user[id]' OR `opponent`='$user[id]') AND `act`='1'"),0)>0){$err='Вы уже учавствуете в дуэли дождитесь его окончания';}
if(!is_file(H."sys/avatar/$user[id].gif") && !is_file(H."sys/avatar/$user[id].jpg") && !is_file(H."sys/avatar/$user[id].png")){$err='Дуэль доступен только с установленным аватаром';}
err();

if (!isset($err))
{

if (isset($_POST['ok']) && isset($user))
{
$rubric = min(max(@intval($_POST['rubric']),1),9);
mysql_query("INSERT INTO `duel` (`user`, `opponent`, `rubric`, `time`) VALUES ('".$user['id']."', '".$id."', '".$rubric."', '".(time()+14400)."')");
$duel=mysql_insert_id();
$msg = 'Вас вызвали на дуэль, [url=/duel/myduels.php?yes='.$duel.']принять[/url] или [url=/duel/myduels.php?noy='.$duel.']отклонить[/url] вызов?';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$id."', '".$msg."', '".$time."')");
echo "<div class='str'>Вызов на дуэль отправлен пользователю!!</div>";
}
else
{
echo "<div class='str'>";
echo "<div style='color:red;'>Дуэль* - это соревнование двух анкет. Побеждает тот кто наберет наибольшее кол-во голосов за отведенное время. Выберите категорию и бросьте вызов вашему оппоненту.</div>";
echo "<div><b>Цена:</b> 100 Баллов.  Для оппонента дуэль будет бесплатной.</div>";
echo "<div>---</div>";
echo "<div>";
echo "<b>Ваш оппонент:</b> <a href=\"/info.php?id=$ank[id]\">$ank[nick]</a>";
echo "</div><br/>";
echo "Ваше фото:<br/>";
avatar($user['id']);

echo "<form action=\"add.php?id=$id\" method=\"post\">";
echo "<p>";
echo "Категория:<br/>";
echo "<select name=\"rubric\">";
echo "<option value=\"1\">Кто красивее?</option>";
echo "<option value=\"2\">Кто сильнее?</option>";
echo "<option value=\"3\">Кто моднее?</option>";
echo "<option value=\"4\">Кто выглядит моложе?</option>";
echo "<option value=\"5\">Кто смешнее?</option>";
echo "<option value=\"6\">У кого лучше фигура?</option>";
echo "<option value=\"7\">Кто сексуальнее?</option>";
echo "<option value=\"8\">Кто гламурнее?</option>";
echo "<option value=\"9\">Кто аппетитнее?</option>";
echo "</select>";

echo "<br/>";
echo "Дуэль длится 1 сутки с момента принятия вызова оппонентом. Время ожидания ответа от оппонента состовляет 4 часа.";
echo "<br/>";
echo "<input type=\"submit\" name=\"ok\" value=\"Вызвать на дуэль\" class=\"form\"/>";
echo "</p>";
echo "</form>";
echo "</div>";
}
}

echo '<div class="page_foot">
- <a href="myduels.php">Моя дуэль</a><br/>
- <a href="voted.php">Активные (Вы голосовали)</a><br/>
- <a href="finished.php">Завершенные</a><br/>
- <a href="duels.php">Дуэли</a></div>';
include_once '../sys/inc/tfoot.php';
?>
